// Visualizzazione stato ricezione

#include <mask.h>
#include <applicat.h>
#include <relation.h>
#include <tabutil.h>
#include <utility.h>
#include <config.h>
#include <urldefid.h> 
#include <execp.h>                       
#include <prefix.h>
#include <lffiles.h>  
#include <nditte.h>  

#include "cg6800.h"           

//HIDDEN      TString80 TP;

class TVis_ric : public TApplication
{
  TTable*          _tab_tra;
  TTransfer_file   _tras_file;
  
  TString _trasf,_std,_uselab,_key,_nomeid,_ragsoc_dittar;
  TString _agg_cau,_agg_clifo,_agg_pcon,_agg_IVdir,_riatt_att,_riatt_pas;
  long    _dittaric,_dittainv;      
  TString _control_rec;                                                     
  TDate   _dataultras;             
  int     _nultras;
  bool    _registra,_ftrasfer;
  
public:        
  TString     _titolo;
  
  virtual bool create();
  virtual bool destroy();
  virtual bool menu(MENU_TAG m);         
  
  bool    video();    
  void    setta_campi_video(TMask& m);
  
  void    ditta_ricevente();
  long    leggi_tabella_tras();                             
  bool    esegui_controlli();
  bool    leggi_trasfer();
  void    registra(TMask& m);                  

  void    setta_std(const TString& flag);
  
  static bool baipassa    (TMask& m, KEY k);
  static bool stato_hnd   (TMask_field& f, KEY k);
  static bool uselab_hnd  (TMask_field& f, KEY k);
  static bool chiave_hnd  (TMask_field& f, KEY k);
  
  TVis_ric() {};
};                                      
